Skip to main content
DELETE
/
agents
/
{agent_id}
Delete agent
curl --request DELETE \
  --url https://api.coval.dev/v1/agents/{agent_id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.coval.dev/v1/agents/{agent_id}"

headers = {"x-api-key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.coval.dev/v1/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
{
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid request parameter",
"details": [
{
"field": "page_size",
"description": "page_size must be between 1 and 100"
}
]
}
}
{
"error": {
"code": "UNAUTHENTICATED",
"message": "Authentication failed",
"details": [
{
"field": "x-api-key",
"description": "Invalid or missing API key"
}
]
}
}
{
"error": {
"code": "NOT_FOUND",
"message": "Agent not found",
"details": [
{
"field": "agent_id",
"description": "Agent not found or not accessible by your organization"
}
]
}
}
{
"error": {
"code": "INTERNAL",
"message": "Internal server error",
"details": [
{
"description": "An unexpected error occurred"
}
]
}
}

Authorizations

x-api-key
string
header
required

API key for authentication

Path Parameters

agent_id
string
required

Agent resource ID

Pattern: ^[A-Za-z0-9]{22}$

Response

Agent deleted successfully (or already deleted)

The response is of type object.